## ejabberd 24.12

=== debian/changelog ===
ejabberd (24.12-2) unstable; urgency=medium

  * Added upstream commit as patch to fix mod_s2s_bidi
  * Removed Konstantin from Uploaders, last contribution was ~12 years ago
  * (Build-)Depend on erlang-p1-xmpp >= 1.9.4

 -- Philipp Huebner <debalance@debian.org>  Tue, 11 Feb 2025 21:32:53 +0100

ejabberd (24.12-1) unstable; urgency=medium

  * New upstream version 24.12
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Dropped obsolete patches
  * Refreshed remaining patches

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Feb 2025 11:36:32 +0100

=== debian/control ===
Source: ejabberd
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: net
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-apparmor,
               erlang-asn1,
               erlang-base,
               erlang-base64url (>= 1.0.1),
               erlang-crypto,
               erlang-dev,
               erlang-eunit,
               erlang-goldrush (>= 0.1.9),
               erlang-idna (>= 6.0.0),
               erlang-inets,
               erlang-jiffy (>= 1.1.1),
               erlang-jose (>= 1.11.10),
               erlang-lager (>= 3.9.1),
               erlang-luerl,
               erlang-mnesia,
               erlang-p1-acme (>= 1.0.25),
               erlang-p1-cache-tab (>= 1.0.31-2~),
               erlang-p1-eimp (>= 1.0.23-4~),
               erlang-p1-mqtree (>= 1.0.17-2~),
               erlang-p1-mysql (>= 1.0.25),
               erlang-p1-oauth2 (>= 0.6.14),
               erlang-p1-pam (>= 1.0.14-3~),
               erlang-p1-pgsql (>= 1.1.29),
               erlang-p1-pkix (>= 1.0.10-2~),
               erlang-p1-sip (>= 1.0.56),
               erlang-p1-sqlite3 (>= 1.1.15-2~),
               erlang-p1-stringprep (>= 1.0.30-2~),
               erlang-p1-stun (>= 1.2.15),
               erlang-p1-tls (>= 1.1.22),
               erlang-p1-utils (>= 1.0.26),
               erlang-p1-xml (>= 1.1.55),
               erlang-p1-xmpp (>= 1.9.4),
               erlang-p1-yaml (>= 1.0.37-2~),
               erlang-p1-yconf (>= 1.0.17),
               erlang-p1-zlib (>= 1.0.13-2~),
               erlang-parsetools,
               erlang-redis-client (>= 1.2.0-8~),
               erlang-ssl,
               erlang-unicode-util-compat (>= 0.3.1),
               erlang-xmerl,
               libsqlite3-dev,
               po-debconf,
               rebar
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/ejabberd
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/ejabberd.git
Homepage: https://www.ejabberd.im

Package: ejabberd
Architecture: any
Multi-Arch: allowed
Depends: adduser,
         erlang-base,
         erlang-base64url (>= 1.0.1),
         erlang-goldrush (>= 0.1.9),
         erlang-idna (>= 6.0.0),
         erlang-jiffy (>= 1.1.1),
         erlang-jose (>= 1.11.10),
         erlang-lager (>= 3.9.1),
         erlang-os-mon,
         erlang-p1-acme (>= 1.0.25),
         erlang-p1-cache-tab (>= 1.0.31-2~),
         erlang-p1-eimp (>= 1.0.23-4~),
         erlang-p1-mqtree (>= 1.0.17-2~),
         erlang-p1-pkix (>= 1.0.10-2~),
         erlang-p1-stringprep (>= 1.0.30-2~),
         erlang-p1-stun (>= 1.2.15),
         erlang-p1-tls (>= 1.1.22),
         erlang-p1-utils (>= 1.0.26),
         erlang-p1-xml (>= 1.1.55),
         erlang-p1-xmpp (>= 1.9.4),
         erlang-p1-yaml (>= 1.0.37-2~),
         erlang-p1-yconf (>= 1.0.17),
         erlang-p1-zlib (>= 1.0.13-2~),
         erlang-unicode-util-compat (>= 0.3.1),
         erlang-xmerl,
         ucf,
         ${erlang-abi:Depends},
         ${erlang:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: apparmor,
          apparmor-utils,
          ejabberd-contrib,
          erlang-luerl,
          erlang-p1-mysql (>= 1.0.25),
          erlang-p1-oauth2 (>= 0.6.14),
          erlang-p1-pam (>= 1.0.14-3~),
          erlang-p1-pgsql (>= 1.1.29),
          erlang-p1-sip (>= 1.0.56),
          erlang-p1-sqlite3 (>= 1.1.15-2~),
          erlang-redis-client (>= 1.2.0-8~),
          imagemagick,
          libunix-syslog-perl,
          yamllint
Pre-Depends: openssl, ${misc:Pre-Depends}
Provides: mqtt-broker, stun-server, turn-server, xmpp-server
Description: extensible realtime platform (XMPP server + MQTT broker + SIP service)
 ejabberd is a Jabber/XMPP + MQTT + SIP server written in Erlang, featuring:
  * distributed operation with load-balancing across a cluster;
  * fault-tolerant database replication and storage on multiple nodes,
    allowing nodes to be added or replaced "on the fly";
  * virtual hosting (several virtual domains can be served using a single
    ejabberd instance);
  * XMPP compliance;
  * MQTT 5 compliance;
  * SIP service;
  * web-based administration;
  * SSL/TLS support;
  * conferencing via Multi-User Chat;
  * Jabber Users Directory, based on users' vCards;
  * service discovery;
  * shared roster.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk
export ERL_COMPILER_OPTIONS=deterministic

DESTDIR=$(CURDIR)/debian/ejabberd


%:
	dh $@


.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	mkdir $(CURDIR)/deps && touch $(CURDIR)/deps/.got $(CURDIR)/deps/.built
	./autogen.sh
	sed -i "s/^PACKAGE_VERSION=.*/PACKAGE_VERSION='$(DEB_VERSION_UPSTREAM_REVISION)'/" configure
	sed -i "s/^PACKAGE_STRING=.*/PACKAGE_STRING='ejabberd $(DEB_VERSION_UPSTREAM_REVISION)'/" configure
	dh_auto_configure -- \
		--enable-mysql \
		--enable-odbc \
		--enable-pam \
		--enable-pgsql \
		--enable-redis \
		--enable-sip \
		--enable-sqlite \
		--enable-stun \
		--enable-zlib \
		--enable-system-deps \
		--with-rebar=/usr/bin/rebar

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	# symlink version
	ln -s ejabberd-$(DEB_VERSION_UPSTREAM_REVISION) $(DESTDIR)/usr/lib/$(DEB_TARGET_MULTIARCH)/ejabberd-$(DEB_VERSION_UPSTREAM)
	# install init script and service file
	install -m 755 $(CURDIR)/ejabberd.init $(CURDIR)/debian/
	install -m 644 $(CURDIR)/ejabberd.service.template $(CURDIR)/debian/ejabberd.service
	# ejabberd.yml is generated from the template through debconf and installed as /etc/ejabberd/ejabberd.yml
	rm $(DESTDIR)/etc/ejabberd/ejabberd.yml
	install -m 644 ejabberd.yml.example $(DESTDIR)/usr/share/ejabberd/ejabberd.yml.example
	# ejabberdctl.cfg is generated from the template through debconf and installed as /etc/default/ejabberd
	rm $(DESTDIR)/etc/ejabberd/ejabberdctl.cfg
	install -m 644 ejabberdctl.cfg.example $(DESTDIR)/usr/share/ejabberd/ejabberdctl.cfg.example
	# set up /etc/ejabberd/modules.d
	cp -v $(CURDIR)/debian/README.modules $(DESTDIR)/etc/ejabberd/modules.d/
	# move captcha.sh to /usr/share/ejabberd
	rm $(DESTDIR)/usr/lib/$(DEB_TARGET_MULTIARCH)/ejabberd-$(DEB_VERSION_UPSTREAM_REVISION)/priv/bin/captcha.sh
	rmdir $(DESTDIR)/usr/lib/$(DEB_TARGET_MULTIARCH)/ejabberd-$(DEB_VERSION_UPSTREAM_REVISION)/priv/bin
	install -m 755 tools/captcha.sh $(DESTDIR)/usr/share/ejabberd/
	# move image files to /usr/share/ejabberd/img
	mv -v $(DESTDIR)/usr/lib/$(DEB_TARGET_MULTIARCH)/ejabberd-$(DEB_VERSION_UPSTREAM_REVISION)/priv/img $(DESTDIR)/usr/share/ejabberd/img
	ln -s ../../../../share/ejabberd/img $(DESTDIR)/usr/lib/$(DEB_TARGET_MULTIARCH)/ejabberd-$(DEB_VERSION_UPSTREAM_REVISION)/priv/img
	# install sql code
	cp -vr sql $(DESTDIR)/usr/share/ejabberd/
	# install ufw profile
	install -m 644 debian/ejabberd.ufw.profile $(DESTDIR)/etc/ufw/applications.d/ejabberd
	# install AppArmor profile
	install -m 644 debian/usr.sbin.ejabberdctl $(DESTDIR)/etc/apparmor.d/usr.sbin.ejabberdctl
	dh_apparmor --profile-name=usr.sbin.ejabberdctl

.PHONY: override_dh_installinit
override_dh_installinit:
	dh_installinit -vR

.PHONY: override_dh_installsystemd
override_dh_installsystemd:
	dh_installsystemd --restart-after-upgrade

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress --exclude=ejabberd.yml
	# compress manpage
	gzip -9n $(DESTDIR)/usr/share/man/man5/ejabberd.yml.5

.PHONY: override_dh_auto_test
override_dh_auto_test:

.PHONY: override_dh_installdeb
override_dh_installdeb:
	erlang-depends
	rm -rf $(DESTDIR)/var/lock $(DESTDIR)/usr/bin
	find $(DESTDIR)/usr/ -name COPYING -delete
	find $(DESTDIR)/usr/ -name COPYING.gz -delete
	dh_installdeb

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	rm -rf aclocal.m4 autom4te.cache/ configure
	rm -f Makefile config.log config.status vars.config priv/sql
	rm -rf .rebar deps ebin src/XmppAddr.asn1db src/XmppAddr.erl src/eldap_filter_yecc.erl src/ejabberd.app.src
	rm -f debian/ejabberd.init debian/ejabberd.service ejabberd.init ejabberdctl.example ejabberd.service
	dh_auto_clean
	debconf-updatepo

override_dh_installexamples:

## ejabberd 26.02

=== debian/changelog ===
ejabberd (26.02-1) unstable; urgency=medium

  * New upstream version 26.02 
    + Refreshed patches
    + Removed 133d52d04023d603283a7796c46bc40ffc7cd3c2.patch; applied upstream
    + Bump dependencies.
  * Add myself as uploader.
  * Update d/watch to version 5.

 -- Dominik George <natureshadow@debian.org>  Sat, 07 Feb 2026 22:10:24 +0000

ejabberd (24.12-4) unstable; urgency=medium

  * Correctly remove no longer shipped conffile (apparmor profile)
    (Closes: #1110149)

 -- Philipp Huebner <debalance@debian.org>  Sat, 27 Dec 2025 23:20:22 +0100

ejabberd (24.12-3) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

  [ Philipp Huebner ]
  * Dropped unmaintained AppArmor profile as it breaks AppArmor 4
    (Closes: #1100515)
  * Updated FSF address in debian/copyright
  * Updated Standards-Version: 4.7.2 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 30 Mar 2025 15:24:44 +0200

=== debian/control ===
Source: ejabberd
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>,
 Dominik George <natureshadow@debian.org>
Section: net
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               erlang-asn1,
               erlang-base,
               erlang-base64url (>= 1.0.1),
               erlang-crypto,
               erlang-dev,
               erlang-erlydtl (>= 0.14.0),
               erlang-eunit,
               erlang-goldrush (>= 0.1.9),
               erlang-idna (>= 6.0.0),
               erlang-inets,
               erlang-jiffy (>= 1.1.1),
               erlang-jose (>= 1.11.10),
               erlang-lager (>= 3.9.1),
               erlang-luerl,
               erlang-mnesia,
               erlang-p1-acme (>= 1.0.30),
               erlang-p1-cache-tab (>= 1.0.33),
               erlang-p1-eimp (>= 1.0.26),
               erlang-p1-mqtree (>= 1.0.19),
               erlang-p1-mysql (>= 1.0.27),
               erlang-p1-oauth2 (>= 0.6.14),
               erlang-p1-pam (>= 1.0.14-3~),
               erlang-p1-pgsql (>= 1.1.38),
               erlang-p1-pkix (>= 1.0.10-2~),
               erlang-p1-sip (>= 1.0.59),
               erlang-p1-sqlite3 (>= 1.1.15-2~),
               erlang-p1-stringprep (>= 1.0.33),
               erlang-p1-stun (>= 1.2.21),
               erlang-p1-tls (>= 1.1.22),
               erlang-p1-utils (>= 1.0.28),
               erlang-p1-xml (>= 1.1.57),
               erlang-p1-xmpp (>= 1.12.0),
               erlang-p1-yaml (>= 1.0.39),
               erlang-p1-yconf (>= 1.0.22),
               erlang-p1-zlib (>= 1.0.15),
               erlang-parsetools,
               erlang-redis-client (>= 1.2.0-8~),
               erlang-ssl,
               erlang-unicode-util-compat (>= 0.3.1),
               erlang-xmerl,
               libsqlite3-dev,
               po-debconf,
               rebar
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/ejabberd
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/ejabberd.git
Homepage: https://www.ejabberd.im

Package: ejabberd
Architecture: any
Multi-Arch: allowed
Depends: adduser,
         erlang-base,
         erlang-base64url (>= 1.0.1),
         erlang-goldrush (>= 0.1.9),
         erlang-idna (>= 6.0.0),
         erlang-jiffy (>= 1.1.1),
         erlang-jose (>= 1.11.10),
         erlang-lager (>= 3.9.1),
         erlang-os-mon,
         erlang-p1-acme (>= 1.0.30),
         erlang-p1-cache-tab (>= 1.0.33),
         erlang-p1-eimp (>= 1.0.26),
         erlang-erlydtl (>= 0.14.0),
         erlang-p1-mqtree (>= 1.0.19),
         erlang-p1-pkix (>= 1.0.10-2~),
         erlang-p1-stringprep (>= 1.0.33),
         erlang-p1-stun (>= 1.2.21),
         erlang-p1-tls (>= 1.1.25),
         erlang-p1-utils (>= 1.0.28),
         erlang-p1-xml (>= 1.1.57),
         erlang-p1-xmpp (>= 1.12.0),
         erlang-p1-yaml (>= 1.0.39),
         erlang-p1-yconf (>= 1.0.22),
         erlang-p1-zlib (>= 1.0.15),
         erlang-unicode-util-compat (>= 0.3.1),
         erlang-xmerl,
         ucf,
         ${erlang-abi:Depends},
         ${erlang:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: ejabberd-contrib,
          erlang-luerl,
          erlang-p1-mysql (>= 1.0.27),
          erlang-p1-oauth2 (>= 0.6.14),
          erlang-p1-pam (>= 1.0.14-3~),
          erlang-p1-pgsql (>= 1.1.38),
          erlang-p1-sip (>= 1.0.59),
          erlang-p1-sqlite3 (>= 1.1.15-2~),
          erlang-redis-client (>= 1.2.0-8~),
          imagemagick,
          libunix-syslog-perl,
          yamllint
Pre-Depends: openssl, ${misc:Pre-Depends}
Provides: mqtt-broker, stun-server, turn-server, xmpp-server
Description: extensible realtime platform (XMPP server + MQTT broker + SIP service)
 ejabberd is a Jabber/XMPP + MQTT + SIP server written in Erlang, featuring:
  * distributed operation with load-balancing across a cluster;
  * fault-tolerant database replication and storage on multiple nodes,
    allowing nodes to be added or replaced "on the fly";
  * virtual hosting (several virtual domains can be served using a single
    ejabberd instance);
  * XMPP compliance;
  * MQTT 5 compliance;
  * SIP service;
  * web-based administration;
  * SSL/TLS support;
  * conferencing via Multi-User Chat;
  * Jabber Users Directory, based on users' vCards;
  * service discovery;
  * shared roster.

=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/processone/ejabberd

## ejabberd python3d-0.2.0

=== requirements.txt ===
asgiref==3.3.0
certifi==2020.6.20
chardet==3.0.4
coverage==5.3
Django==3.1.3
idna==2.10
pytz==2020.4
requests==2.24.0
sqlparse==0.4.1
urllib3==1.25.11

## ejabberd python3d-0.2.2

=== requirements.txt ===
coverage>=5.3
Django>=3.0
requests>=2.24.0
urllib3>=1.25.11
